Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
rules
/
List rules
curl --request GET \
  --url https://api.arklow.io/v1/orgs/{org_id}/rules/ \
  --header 'x-arklow-auth: <api-key>'
{
  "data": {
    "items": [
      {
        "id": "<string>",
        "org_id": "<string>",
        "name": "<string>",
        "status": "active",
        "expression": "<string>",
        "priority": 123,
        "phase": "<string>",
        "effect": "dispatch",
        "action_definition_id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "effect_payload": "<unknown>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "action_definition": {
          "id": "<string>",
          "org_id": "<string>",
          "variant": "<string>",
          "version": 123,
          "alias": [
            "<string>"
          ],
          "schema": "<unknown>",
          "deleted_at": "2023-11-07T05:31:56Z",
          "destinations": [
            {
              "id": "<string>",
              "action_definition_id": "<string>",
              "destination_id": "<string>",
              "org_id": "<string>",
              "is_default": true,
              "destination": {
                "id": "<string>",
                "org_id": "<string>",
                "updated_at": "2023-11-07T05:31:56Z",
                "label": "<string>",
                "type": "webhook",
                "config": {
                  "url": "<string>",
                  "headers": {},
                  "signaling": {
                    "enabled": true,
                    "default": "ack"
                  },
                  "response_time_sla_ms": 2
                },
                "deleted_at": "2023-11-07T05:31:56Z",
                "tags": {},
                "credential_id": "<string>"
              }
            }
          ]
        }
      }
    ],
    "count": 123
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$

Query Parameters

take
integer
Required range: 1 <= x <= 50
skip
integer
Required range: x >= 0
search
field
string
value
string
op
Available options:
eq
count_only
boolean
status
Available options:
active
priority
integer
phase
string
effect
Available options:
dispatch
action_definition_id
string
Pattern: ^[0-9]+$
include_action_definition
boolean

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required